Validate request
This endpoint validates an HMAC signed request and sends back the user, if valid. We check that it comes from a client that share the jwt_secret with validatord
Authentication
AuthorizationBearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Path parameters
apiKey
The API key of the user submitting the request
Request
This endpoint expects an object.
apiRequestToValidate
signature
The signature of the protobuf-serialized ApiRequestToValidate message, that uses the shared JWT secret (through the REST API, the bytes are encoded as a base64 string)
Response
A successful response.
jwt
A valid JWT for the user who made the original request
Errors
400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error
503
Service Unavailable Error